net.minecraftforge.event.entity.player

## Class BonemealEvent

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.living.LivingEvent
      - - net.minecraftforge.event.entity.player.PlayerEvent
        - - net.minecraftforge.event.entity.player.BonemealEvent

-     public class BonemealEvent
      extends PlayerEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.player.PlayerEvent

      `PlayerEvent.BreakSpeed, PlayerEvent.HarvestCheck`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `ID`
    `World` | `world` This event is called when a player attempts to use Bonemeal on a block.
    `int` | `X`
    `int` | `Y`
    `int` | `Z`

    - ### Fields inherited from class net.minecraftforge.event.entity.player.PlayerEvent

      `entityPlayer`

    - ### Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `entityLiving`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BonemealEvent(EntityPlayer player, World world, int id, int x, int y, int z)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### world

          public final World world

      This event is called when a player attempts to use Bonemeal on a block. It can be canceled to completely prevent any further processing. You can also set the result to ALLOW to mark the event as processed and use up a bonemeal from the stack but do no further processing. setResult(ALLOW) is the same as the old setHandeled()

    - #### ID

          public final int ID

    - #### X

          public final int X

    - #### Y

          public final int Y

    - #### Z

          public final int Z

  - ### Constructor Detail

    - #### BonemealEvent

          public BonemealEvent(EntityPlayer player,
                       World world,
                       int id,
                       int x,
                       int y,
                       int z)